<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\UsfailsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\UsfailsTable Test Case
 */
class UsfailsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\UsfailsTable
     */
    public $Usfails;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.usfails'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('Usfails') ? [] : ['className' => UsfailsTable::class];
        $this->Usfails = TableRegistry::get('Usfails', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->Usfails);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
